
.snippet {
  font-family: 'Montserrat', sans-serif;
  border: none;
  background-color:$color-bg-dark;
  border-radius: 5px;
  color: #ffffff;
  cursor: pointer;
  padding: 5px 55px;
  display: inline-block;
  margin: 15px 0px;
  text-transform: uppercase;
  line-height: 30px;
  font-weight: 400;

  outline: none;
  position: relative;
  overflow: hidden;
  font-size: 16px;
  border-radius: 23px;
  letter-spacing: 2px;
  -webkit-transform: translateZ(0);
  -webkit-transition: all 0.35s ease;
  transition: all 0.35s ease;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  font-weight: bold;
  font-size: 0.5rem;
}
.snippet:before {
  opacity: 0;
  content: "";
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  border-radius: inherit;
  background-color: red;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}
.snippet:after {
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  border: 3px solid $color-bg-dark;
  content: '';
  border-radius: inherit;
}
.snippet:hover,
.snippet.hover {
  background-color: $color-bg-dark;
  color: $black;
  font-weight: bold;
  text-decoration: none;
}
.snippet:hover:before,
.snippet.hover:before {
  -webkit-transform: translateY(0%);
  transform: translateY(0%);
  opacity: 0.25;
}


